import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增客户端用户
    addappuser(data) {
        return request({
            url: '/app/user',
            method: 'post',
            data
        })
    },
    //修改客户端用户
    editappuser(data) {
        return request({
            url: '/app/user/edit',
            method: 'post',
            data
        })
    },
    //导出客户端用户列表
    inquireappuserexport(data) {
        return request({
            url: '/app/user/export',
            method: 'get',
            params: data
        })
    },
    //查询客户端用户列表
    inquireappuserlists(data) {
        return request({
            url: '/app/user/list',
            method: 'get',
            params: data
        })
    },
    //客户端用户学习记录列表
    inquirestudyRecordlists(data) {
        return request({
            url: '/app/user/studyRecordList',
            method: 'get',
            params: data
        })
    },
    //获取客户端用户详细信息
    obtainappuser(data) {
        return request({
            url: `/app/user/` + data,
            method: 'get',
        })
    },

    //修改用户学校信息
    editappuserschoolinfo(data) {
        return request({
            url: '/app/user/school/info/edit',
            method: 'post',
            data
        })
    },
    //获取用户学校信息详细信息
    obtainappuserschoolinfo(data) {
        return request({
            url: `/app/user/school/info/` + data,
            method: 'get',
        })
    },
    //统计查询客户端用户列表
    inquirestudystats_list(data) {
        return request({
            url: '/app/user/stats_list',
            method: 'get',
            params: data
        })
    },
    //导出统计查询客户端用户列表
    exportstudystats_list(data) {
        return request({
            url: '/app/user/stats_list_export',
            method: 'get',
            params: data
        })
    },
    //同步智慧考场
    appcommonsyncExamSite(data) {
        return request({
            url: '/app/common/syncExamSite',
            method: 'get',
            params: data,
            headers: {
              isToken: false
            },
        })
    },
    //同步考生考试状态信息
    appcommonwisdomSyncExamStatus(data) {
        return request({
            url: '/app/common/wisdomSyncExamStatus',
            method: 'get',
            params: data,
            headers: {
              isToken: false
            },
        })
    },
    //同步考试视频信息
    appcommonwisdomSyncExamVideo(data) {
        return request({
            url: '/app/common/wisdomSyncExamVideo',
            method: 'get',
            params: data,
            headers: {
              isToken: false
            },
        })
    },
    //批量同步考试计划用户
    appcommonwsyncApplyUserInfo(data) {
        return request({
            url: '/app/common/syncApplyUserInfo',
            method: 'get',
            params: data,
            headers: {
              isToken: false
            },
        })
    },
}